#include <ComboConstants.au3>
#include <EditConstants.au3>
#include <GUIConstantsEx.au3>
#include <WindowsConstants.au3>
#include <WinAPI.au3>
#include <print.au3>
#include <barcode.au3>

#AutoIt3Wrapper_run_obfuscator=y
#Obfuscator_parameters=/so

$barcode_test = GUICreate("EAN-13 Test", 205, 140, -1, -1)
GUICtrlCreateLabel("SCAN:", 10, 10, 30, 17)
$Input = GUICtrlCreateInput("", 45, 8, 120, 21)
$go = GUICtrlCreateButton("go",170,8,30,20)

$barcode = GUICtrlCreateLabel("", 10, 40, 185, 90)
GUICtrlSetFont(-1, 48, 400, 0, "EAN 13")
GUICtrlSetBkColor(-1, 0xFFFFFF)

$type = "EAN 13"
$size = "36"

GUISetState(@SW_SHOW)

While 1
	$nMsg = GUIGetMsg()
	Switch $nMsg
		Case $GUI_EVENT_CLOSE
			Exit
		Case $go ; and save to *.jpg z. B. 9783608890341.jpg ggf. berschreiben
			GUICtrlSetFont($barcode, $size, 400, 0, 'Code EAN13')
			$barcode_data = barcode_ean13(StringLeft(GUICtrlRead($Input), 12))
			GUICtrlSetData($barcode, $barcode_data)
	EndSwitch
WEnd
